DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# TestObjectBlur

TestObject generation function

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_TestObjectBlur ( object, psf, convolved, xNyquist, testPSF )

## DATA TYPES

binary, integer, float

## FUNCTION

This function blurs a testobject with a Gaussian psf, with a two dimensional in focus diffraction limited incoherent PSF or with an user-supplied PSF. The `xNyquist` parameter specifies the oversampling factor of the incoherent PSF and Gaussian PSF. The sigma of the Gaussian PSF is equal to 0.9 * `xNyquist`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `object` | Input Object Image
`dip_Image` | `psf` | User supplied PSF
`dip_Image` | `convolved` | Output Image
`dip_float` | `xNyquist` | Oversampling Factor
`dipf_TestPSF` | `testPSF` | TestPSF

The `dipf_TestPSF` enumaration consists of the following flags:

Name | Description
`DIP_TEST_PSF_GAUSSIAN` | Gaussian PSF
`DIP_TEST_PSF_INCOHERENT_OTF` | in-focus, diffraction limited, incoherent PSF
`DIP_TEST_PSF_USER_SUPPLIED` | User supplied PSF with the `psf` image
`DIP_TEST_PSF_NONE` | no blurring

## SEE ALSO

`TestObjectCreate`, `TestObjectModulate`, `TestObjectAddNoise`

DIPlib on-line documentation | Function reference | Global function index